Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.security
Class SecurityConfig

    java.lang.Object
      org.apache.catalina.security.SecurityConfig

public final class SecurityConfig
extends java.lang.Object

Util class to protect Catalina against package access and insertion. The code are been moved from Catalina.java

Author:
  the Catalina.java authors, Jean-Francois Arcand

Method Summary
`static SecurityConfig` | `newInstance()` Returns the singleton instance of that class.
`void` | `setPackageAccess()` Set the security package.access value.
`void` | `setPackageDefinition()` Set the security package.definition value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static SecurityConfig newInstance()

  Returns the singleton instance of that class.

  Returns:
    an instance of that class.

### setPackageAccess

    public void setPackageAccess()

  Set the security package.access value.

### setPackageDefinition

    public void setPackageDefinition()

  Set the security package.definition value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.